/* telepathy-glib.vapi generated by vapigen, do not modify. */

[CCode (cprefix = "Tp", lower_case_cprefix = "tp_")]
namespace TelepathyGLib {
	[CCode (cname = "TpAccount", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class Account : TelepathyGLib.Proxy {
		public weak TelepathyGLib.Proxy parent;
		public TelepathyGLib.AccountPrivate priv;
		[CCode (has_construct_function = false)]
		public Account (TelepathyGLib.DBusDaemon bus_daemon, string object_path) throws GLib.Error;
		public unowned TelepathyGLib.Connection ensure_connection (string path);
		public async unowned GLib.Array<weak uint8> get_avatar_async () throws GLib.Error;
		public bool get_changing_presence ();
		public bool get_connect_automatically ();
		public unowned TelepathyGLib.Connection get_connection ();
		public unowned string get_connection_manager ();
		public TelepathyGLib.ConnectionStatus get_connection_status (out TelepathyGLib.ConnectionStatusReason reason);
		public TelepathyGLib.ConnectionPresenceType get_current_presence (out string status, out string status_message);
		public unowned string get_display_name ();
		public static GLib.Quark get_feature_quark_core ();
		public bool get_has_been_online ();
		public unowned string get_icon_name ();
		public unowned string get_nickname ();
		public unowned GLib.HashTable<weak string,weak GLib.Value> get_parameters ();
		public unowned string get_protocol ();
		public TelepathyGLib.ConnectionPresenceType get_requested_presence (out unowned string status, out string status_message);
		public unowned string get_service ();
		public static void init_known_interfaces ();
		public bool is_enabled ();
		public bool is_valid ();
		public static bool parse_object_path (string object_path, out string cm, out string protocol, out string account_id) throws GLib.Error;
		public async bool reconnect_async () throws GLib.Error;
		public async bool remove_async () throws GLib.Error;
		public async bool request_presence_async (TelepathyGLib.ConnectionPresenceType type, string status, string message) throws GLib.Error;
		public async bool set_avatar_async ([CCode (array_length_pos = 1.5)] uint8[]? avatar, string? mime_type) throws GLib.Error;
		public async bool set_connect_automatically_async (bool connect_automatically) throws GLib.Error;
		public async bool set_display_name_async (string display_name) throws GLib.Error;
		public async bool set_enabled_async (bool enabled) throws GLib.Error;
		public async bool set_icon_name_async (string icon_name) throws GLib.Error;
		public async bool set_nickname_async (string nickname) throws GLib.Error;
		public async bool set_service_async (string service) throws GLib.Error;
		public async bool update_parameters_async (GLib.HashTable<weak string,weak GLib.Value> parameters, [CCode (array_length = false)] string[] unset_parameters, out string[] reconnect_required) throws GLib.Error;
		public bool changing_presence { get; }
		public bool connect_automatically { get; }
		public TelepathyGLib.Connection connection { get; }
		public string connection_error { get; }
		public GLib.HashTable connection_error_details { get; }
		public string connection_manager { get; }
		public uint connection_status { get; }
		public uint connection_status_reason { get; }
		public uint current_presence_type { get; }
		public string current_status { get; }
		public string current_status_message { get; }
		public string display_name { get; }
		public bool enabled { get; }
		public bool has_been_online { get; }
		public string icon_name { get; }
		public string nickname { get; }
		public string protocol { get; }
		public uint requested_presence_type { get; }
		public string requested_status { get; }
		public string requested_status_message { get; }
		public string service { get; }
		public bool valid { get; }
		public signal void presence_changed (uint presence, string status, string status_message);
		public signal void status_changed (uint old_status, uint new_status, uint reason, string? dbus_error_name, GLib.HashTable<weak string,weak GLib.Value> details);
	}
	[CCode (cname = "TpAccountManager", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class AccountManager : TelepathyGLib.Proxy {
		public weak TelepathyGLib.Proxy parent;
		public TelepathyGLib.AccountManagerPrivate priv;
		[CCode (has_construct_function = false)]
		public AccountManager (TelepathyGLib.DBusDaemon bus_daemon);
		public async unowned TelepathyGLib.Account create_account_async (string connection_manager, string protocol, string display_name, GLib.HashTable<weak string,weak GLib.Value> parameters, GLib.HashTable<weak string,weak GLib.Value> properties) throws GLib.Error;
		public static TelepathyGLib.AccountManager dup ();
		public void enable_restart ();
		public unowned TelepathyGLib.Account ensure_account (string path);
		public static GLib.Quark get_feature_quark_core ();
		public TelepathyGLib.ConnectionPresenceType get_most_available_presence (out string status, out string message);
		public GLib.List<weak TelepathyGLib.Account> get_valid_accounts ();
		public static void init_known_interfaces ();
		public void set_all_requested_presences (TelepathyGLib.ConnectionPresenceType type, string status, string message);
		public signal void account_disabled (TelepathyGLib.Account account);
		public signal void account_enabled (TelepathyGLib.Account account);
		public signal void account_removed (TelepathyGLib.Account account);
		public signal void account_validity_changed (TelepathyGLib.Account account, bool valid);
		public signal void most_available_presence_changed (uint presence, string status, string message);
	}
	[CCode (cname = "TpAddDispatchOperationContext", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class AddDispatchOperationContext : GLib.Object {
		public void accept ();
		public void delay ();
		public void fail (GLib.Error error);
		public TelepathyGLib.Account account { get; construct; }
		public GLib.PtrArray channels { get; construct; }
		public TelepathyGLib.Connection connection { get; construct; }
		public TelepathyGLib.ChannelDispatchOperation dispatch_operation { get; construct; }
	}
	[Compact]
	[CCode (copy_function = "g_boxed_copy", free_function = "g_boxed_free", cname = "TpAvatarRequirements", type_id = "tp_avatar_requirements_get_type ()", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class AvatarRequirements {
		public void* _1;
		public void* _2;
		public void* _3;
		public void* _4;
		public uint maximum_bytes;
		public uint maximum_height;
		public uint maximum_width;
		public uint minimum_height;
		public uint minimum_width;
		public uint recommended_height;
		public uint recommended_width;
		public weak string[] supported_mime_types;
		public TelepathyGLib.AvatarRequirements copy ();
		public void destroy ();
	}
	[CCode (cname = "TpBaseClient", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class BaseClient : GLib.Object {
		public weak GLib.Object parent;
		public TelepathyGLib.BaseClientPrivate priv;
		public void add_approver_filter (GLib.HashTable<weak string,weak GLib.Value> filter);
		public void add_handler_capabilities ([CCode (array_length = false)] string[] tokens);
		public void add_handler_capability (string token);
		public void add_handler_filter (GLib.HashTable<weak string,weak GLib.Value> filter);
		public void add_observer_filter (GLib.HashTable<weak string,weak GLib.Value> filter);
		public void be_a_handler ();
		public unowned string get_bus_name ();
		public GLib.List<weak TelepathyGLib.Channel> get_handled_channels ();
		public unowned string get_object_path ();
		public GLib.List<weak TelepathyGLib.ChannelRequest> get_pending_requests ();
		public bool register () throws GLib.Error;
		public void set_handler_bypass_approval (bool bypass_approval);
		public void set_handler_request_notification ();
		public void set_observer_recover (bool recover);
		public void unregister ();
		public TelepathyGLib.DBusDaemon dbus_daemon { get; construct; }
		public string name { get; construct; }
		public bool uniquify_name { get; construct; }
		public signal void request_added (TelepathyGLib.Account account, TelepathyGLib.ChannelRequest request);
		public signal void request_removed (TelepathyGLib.ChannelRequest request, string error, string message);
	}
	[CCode (cname = "TpBaseConnection", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class BaseConnection : GLib.Object {
		public void* _future1;
		public void* _future2;
		public void* _future3;
		public void* _future4;
		public weak string bus_name;
		public weak string object_path;
		public weak GLib.Object parent;
		public TelepathyGLib.BaseConnectionPrivate priv;
		public TelepathyGLib.Handle self_handle;
		public TelepathyGLib.ConnectionStatus status;
		public void change_status (TelepathyGLib.ConnectionStatus status, TelepathyGLib.ConnectionStatusReason reason);
		public unowned TelepathyGLib.HandleRepoIface get_handles (TelepathyGLib.HandleType handle_type);
		public bool register (string cm_name, out string bus_name, out string object_path) throws GLib.Error;
		public void set_self_handle (TelepathyGLib.Handle self_handle);
	}
	[CCode (cname = "TpCapabilities", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class Capabilities : GLib.Object {
		public unowned GLib.GenericArray<weak void*> get_channel_classes ();
		public bool is_specific_to_contact ();
		public bool supports_text_chatrooms ();
		public bool supports_text_chats ();
		public bool contact_specific { get; construct; }
	}
	[CCode (cname = "TpChannel", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class Channel : TelepathyGLib.Proxy {
		public weak TelepathyGLib.Proxy parent;
		public TelepathyGLib.ChannelPrivate priv;
		[CCode (has_construct_function = false)]
		public Channel (TelepathyGLib.Connection conn, string object_path, string optional_channel_type, TelepathyGLib.HandleType optional_handle_type, TelepathyGLib.Handle optional_handle) throws GLib.Error;
		public unowned TelepathyGLib.Connection borrow_connection ();
		public unowned GLib.HashTable<weak string,weak GLib.Value> borrow_immutable_properties ();
		[CCode (has_construct_function = false)]
		public Channel.from_properties (TelepathyGLib.Connection conn, string object_path, GLib.HashTable<weak string,weak GLib.Value> immutable_properties) throws GLib.Error;
		public unowned string get_channel_type ();
		public GLib.Quark get_channel_type_id ();
		public TelepathyGLib.ChannelChatState get_chat_state (TelepathyGLib.Handle contact);
		public static GLib.Quark get_feature_quark_chat_states ();
		public static GLib.Quark get_feature_quark_core ();
		public static GLib.Quark get_feature_quark_group ();
		public TelepathyGLib.Handle get_handle (out TelepathyGLib.HandleType handle_type);
		public unowned string get_identifier ();
		public TelepathyGLib.ChannelGroupFlags group_get_flags ();
		public TelepathyGLib.Handle group_get_handle_owner (TelepathyGLib.Handle handle);
		public unowned TelepathyGLib.IntSet group_get_local_pending ();
		public bool group_get_local_pending_info (TelepathyGLib.Handle local_pending, TelepathyGLib.Handle actor, TelepathyGLib.ChannelGroupChangeReason reason, [CCode (array_length = false)] string[] message);
		public unowned TelepathyGLib.IntSet group_get_members ();
		public unowned TelepathyGLib.IntSet group_get_remote_pending ();
		public TelepathyGLib.Handle group_get_self_handle ();
		public static void init_known_interfaces ();
		public bool channel_ready { get; }
		public TelepathyGLib.Connection connection { get; construct; }
		public uint group_flags { get; }
		public uint group_self_handle { get; }
		public string identifier { get; }
		public signal void chat_state_changed (uint contact, uint state);
		public signal void group_flags_changed (uint added, uint removed);
		public signal void group_members_changed_detailed (GLib.Array<weak uint> added, GLib.Array<weak uint> removed, GLib.Array<weak uint> local_pending, GLib.Array<weak uint> remote_pending, GLib.HashTable<weak string,weak GLib.Value> details);
	}
	[CCode (cname = "TpChannelDispatchOperation", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class ChannelDispatchOperation : TelepathyGLib.Proxy {
		public weak TelepathyGLib.Proxy parent;
		public TelepathyGLib.ChannelDispatchOperationPrivate priv;
		[CCode (has_construct_function = false)]
		public ChannelDispatchOperation (TelepathyGLib.DBusDaemon bus_daemon, string object_path, GLib.HashTable immutable_properties) throws GLib.Error;
		public async bool claim_async () throws GLib.Error;
		public static GLib.Quark get_feature_quark_core ();
		public async bool handle_with_async (string? handler) throws GLib.Error;
		public async bool handle_with_time_async (string? handler, int64 user_action_timestamp) throws GLib.Error;
		public static void init_known_interfaces ();
		public TelepathyGLib.Account account { get; construct; }
		public GLib.PtrArray channels { get; construct; }
		public TelepathyGLib.Connection connection { get; construct; }
		public string[] possible_handlers { get; }
		public signal void channel_lost (TelepathyGLib.Channel channel, uint domain, int code, string message);
	}
	[CCode (cname = "TpChannelRequest", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class ChannelRequest : TelepathyGLib.Proxy {
		public weak TelepathyGLib.Proxy parent;
		public TelepathyGLib.ChannelRequestPrivate priv;
		[CCode (has_construct_function = false)]
		public ChannelRequest (TelepathyGLib.DBusDaemon bus_daemon, string object_path, GLib.HashTable immutable_properties) throws GLib.Error;
		public static void init_known_interfaces ();
		public signal void succeeded ();
	}
	[CCode (cname = "TpConnection", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class Connection : TelepathyGLib.Proxy {
		public weak TelepathyGLib.Proxy parent;
		public TelepathyGLib.ConnectionPrivate priv;
		[CCode (has_construct_function = false)]
		public Connection (TelepathyGLib.DBusDaemon dbus, string? bus_name, string? object_path) throws GLib.Error;
		public TelepathyGLib.AvatarRequirements get_avatar_requirements ();
		public unowned TelepathyGLib.Capabilities get_capabilities ();
		public void get_contact_attributes (int timeout_ms, [CCode (array_length_pos = 1.5)] TelepathyGLib.Handle[] handles, [CCode (array_length = false)] string[] interfaces, bool hold, GLib.Callback callback, void* user_data, GLib.DestroyNotify destroy, GLib.Object weak_object);
		public TelepathyGLib.ContactInfoFlags get_contact_info_flags ();
		public void get_contacts_by_handle ([CCode (array_length_pos = 0.5)] uint[] handles, [CCode (array_length_pos = 1.5)] uint[]? features, [CCode (delegate_target_pos = 3.33333)] owned TelepathyGLib.ConnectionContactsByHandleCb callback, GLib.Object? weak_object);
		public void get_contacts_by_id ([CCode (array_length_pos = 0.5)] int8[] ids, [CCode (array_length_pos = 1.5)] TelepathyGLib.ContactFeature[]? features, [CCode (delegate_target_pos = 3.33333)] owned TelepathyGLib.ConnectionContactsByIdCb callback, GLib.Object? weak_object);
		public unowned string get_detailed_error (out unowned GLib.HashTable<weak string,weak GLib.Value>? details);
		public static GLib.Quark get_feature_quark_avatar_requirements ();
		public static GLib.Quark get_feature_quark_capabilities ();
		public static GLib.Quark get_feature_quark_connected ();
		public static GLib.Quark get_feature_quark_contact_info ();
		public static GLib.Quark get_feature_quark_core ();
		public TelepathyGLib.Handle get_self_handle ();
		public TelepathyGLib.ConnectionStatus get_status (out TelepathyGLib.ConnectionStatusReason reason);
		public void hold_handles (int timeout_ms, TelepathyGLib.HandleType handle_type, [CCode (array_length_pos = 2.5)] TelepathyGLib.Handle[] handles, [CCode (delegate_target_pos = 4.33333)] owned TelepathyGLib.ConnectionHoldHandlesCb callback, GLib.Object weak_object);
		public static void init_known_interfaces ();
		public bool parse_object_path (out string protocol, out string cm_name);
		public static int presence_type_cmp_availability (TelepathyGLib.ConnectionPresenceType p1, TelepathyGLib.ConnectionPresenceType p2);
		public void refresh_contact_info ([CCode (array_length_pos = 0.5)] TelepathyGLib.Contact[] contacts);
		public void request_handles (int timeout_ms, TelepathyGLib.HandleType handle_type, [CCode (array_length = false)] string[] ids, [CCode (delegate_target_pos = 4.33333)] owned TelepathyGLib.ConnectionRequestHandlesCb callback, GLib.Object weak_object);
		public bool set_contact_info_finish (GLib.AsyncResult result) throws GLib.Error;
		public void unref_handles (TelepathyGLib.HandleType handle_type, [CCode (array_length_pos = 1.5)] TelepathyGLib.Handle[] handles);
		public void upgrade_contacts ([CCode (array_length_pos = 0.5)] TelepathyGLib.Contact[] contacts, [CCode (array_length_pos = 1.5)] TelepathyGLib.ContactFeature[] features, [CCode (delegate_target_pos = 3.33333)] owned TelepathyGLib.ConnectionUpgradeContactsCb callback, GLib.Object? weak_object);
		public TelepathyGLib.Capabilities capabilities { get; }
		public bool connection_ready { get; }
		public uint self_handle { get; }
		public uint status { get; }
		public uint status_reason { get; }
	}
	[CCode (cname = "TpConnectionManager", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class ConnectionManager : TelepathyGLib.Proxy {
		public weak string name;
		public weak TelepathyGLib.Proxy parent;
		public TelepathyGLib.ConnectionManagerPrivate priv;
		public weak TelepathyGLib.ConnectionManagerProtocol protocols;
		public uint reserved_flags;
		public uint running;
		[CCode (has_construct_function = false)]
		public ConnectionManager (TelepathyGLib.DBusDaemon dbus, string name, string? manager_filename) throws GLib.Error;
		public static bool check_valid_name (string name) throws GLib.Error;
		public static bool check_valid_protocol_name (string name) throws GLib.Error;
		public string[] dup_protocol_names ();
		public static GLib.Quark get_feature_quark_core ();
		public TelepathyGLib.CMInfoSource get_info_source ();
		public unowned string get_name ();
		public unowned TelepathyGLib.ConnectionManagerProtocol get_protocol (string protocol);
		public unowned TelepathyGLib.Protocol get_protocol_object (string protocol);
		public bool has_protocol (string protocol);
		public static void init_known_interfaces ();
		public bool is_running ();
		public bool always_introspect { get; set; }
		public string connection_manager { get; }
		public uint info_source { get; }
		public string manager_file { get; set construct; }
		public signal void activated ();
		public signal void exited ();
		public signal void got_info (uint source);
	}
	[Compact]
	[CCode (copy_function = "g_boxed_copy", free_function = "g_boxed_free", cname = "TpConnectionManagerParam", type_id = "tp_connection_manager_param_get_type ()", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class ConnectionManagerParam {
		public weak string dbus_signature;
		public GLib.Value default_value;
		public uint flags;
		public weak string name;
		public void* priv;
		public TelepathyGLib.ConnectionManagerParam copy ();
		public void free ();
		public unowned string get_dbus_signature ();
		public bool get_default (GLib.Value value);
		public unowned string get_name ();
		public bool is_dbus_property ();
		public bool is_required ();
		public bool is_required_for_registration ();
		public bool is_secret ();
	}
	[Compact]
	[CCode (copy_function = "g_boxed_copy", free_function = "g_boxed_free", cname = "TpConnectionManagerProtocol", type_id = "tp_connection_manager_protocol_get_type ()", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class ConnectionManagerProtocol {
		public weak string name;
		public weak TelepathyGLib.ConnectionManagerParam @params;
		public void* priv;
		public bool can_register ();
		public TelepathyGLib.ConnectionManagerProtocol copy ();
		public string[] dup_param_names ();
		public void free ();
		public unowned TelepathyGLib.ConnectionManagerParam get_param (string param);
		public bool has_param (string param);
	}
	[CCode (cname = "TpContact", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class Contact : GLib.Object {
		public unowned string get_alias ();
		public unowned GLib.File get_avatar_file ();
		public unowned string get_avatar_mime_type ();
		public unowned string get_avatar_token ();
		public unowned TelepathyGLib.Capabilities get_capabilities ();
		public unowned TelepathyGLib.Connection get_connection ();
		public GLib.List<weak TelepathyGLib.ContactInfoField> get_contact_info ();
		public TelepathyGLib.Handle get_handle ();
		public unowned string get_identifier ();
		public unowned GLib.HashTable<weak string,weak GLib.Value> get_location ();
		public unowned string get_presence_message ();
		public unowned string get_presence_status ();
		public TelepathyGLib.ConnectionPresenceType get_presence_type ();
		public bool has_feature (TelepathyGLib.ContactFeature feature);
		public async bool request_contact_info_async (GLib.Cancellable? cancellable) throws GLib.Error;
		public string alias { get; }
		public GLib.File avatar_file { get; }
		public string avatar_mime_type { get; }
		public string avatar_token { get; }
		public TelepathyGLib.Capabilities capabilities { get; }
		public TelepathyGLib.Connection connection { get; }
		public TelepathyGLib.ContactInfoList contact_info { get; }
		public uint handle { get; }
		public string identifier { get; }
		public string presence_message { get; }
		public string presence_status { get; }
		public uint presence_type { get; }
		public signal void presence_changed (uint type, string status, string message);
	}
	[Compact]
	[CCode (copy_function = "g_boxed_copy", free_function = "g_boxed_free", cname = "TpContactInfoField", type_id = "tp_contact_info_field_get_type ()", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class ContactInfoField {
		public weak string field_name;
		public weak string[] field_value;
		public weak string[] parameters;
		public void* priv;
		public TelepathyGLib.ContactInfoField copy ();
		public void free ();
	}
	[Compact]
	[CCode (copy_function = "g_boxed_copy", free_function = "g_boxed_free", cname = "TpContactInfoFieldSpec", type_id = "tp_contact_info_field_spec_get_type ()", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class ContactInfoFieldSpec {
		public TelepathyGLib.ContactInfoFieldFlags flags;
		public uint max;
		public weak string name;
		public weak string[] parameters;
		public void* priv;
		public TelepathyGLib.ContactInfoFieldSpec copy ();
		public void free ();
	}
	[Compact]
	[CCode (copy_function = "g_boxed_copy", free_function = "g_boxed_free", cname = "TpContactInfoList", type_id = "tp_contact_info_list_get_type ()", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class ContactInfoList {
	}
	[Compact]
	[CCode (copy_function = "g_boxed_copy", free_function = "g_boxed_free", cname = "TpContactInfoSpecList", type_id = "tp_contact_info_spec_list_get_type ()", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class ContactInfoSpecList {
	}
	[CCode (cname = "TpDBusDaemon", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class DBusDaemon : TelepathyGLib.Proxy {
		public bool cancel_name_owner_watch (string name, [CCode (delegate_target_pos = 0)] TelepathyGLib.DBusDaemonNameOwnerChangedCb callback);
		public static TelepathyGLib.DBusDaemon dup () throws GLib.Error;
		public unowned string get_unique_name ();
		public static void init_known_interfaces ();
		public void list_activatable_names (int timeout_ms, [CCode (delegate_target_pos = 2.33333)] owned TelepathyGLib.DBusDaemonListNamesCb callback, GLib.Object weak_object);
		public void list_names (int timeout_ms, [CCode (delegate_target_pos = 2.33333)] owned TelepathyGLib.DBusDaemonListNamesCb callback, GLib.Object weak_object);
		public void register_object (string object_path, GLib.Object object);
		public bool release_name (string well_known_name) throws GLib.Error;
		public bool request_name (string well_known_name, bool idempotent) throws GLib.Error;
		public void unregister_object (GLib.Object object);
		public void watch_name_owner (string name, [CCode (delegate_target_pos = 0)] owned TelepathyGLib.DBusDaemonNameOwnerChangedCb callback);
	}
	[CCode (cname = "TpHandleChannelsContext", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class HandleChannelsContext : GLib.Object {
		public void accept ();
		public void delay ();
		public void fail (GLib.Error error);
		public TelepathyGLib.Account account { get; construct; }
		public GLib.PtrArray channels { get; construct; }
		public TelepathyGLib.Connection connection { get; construct; }
		public GLib.PtrArray requests_satisfied { get; construct; }
		public int64 user_action_time { get; construct; }
		public signal void done ();
	}
	[Compact]
	[CCode (copy_function = "g_boxed_copy", free_function = "g_boxed_free", cname = "TpHandleSet", type_id = "tp_handle_set_get_type ()", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class HandleSet {
	}
	[Compact]
	[CCode (copy_function = "g_boxed_copy", free_function = "g_boxed_free", cname = "TpIntSet", type_id = "tp_intset_get_type ()", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class IntSet {
		[CCode (cname = "tp_intset_add")]
		public void add (uint element);
		[CCode (cname = "tp_intset_clear")]
		public void clear ();
		[CCode (cname = "tp_intset_copy")]
		public TelepathyGLib.IntSet copy ();
		[CCode (cname = "tp_intset_destroy")]
		public void destroy ();
		[CCode (cname = "tp_intset_difference")]
		public TelepathyGLib.IntSet difference (TelepathyGLib.IntSet right);
		[CCode (cname = "tp_intset_dump")]
		public string dump ();
		[CCode (cname = "tp_intset_foreach")]
		public void @foreach ([CCode (delegate_target_pos = 0)] TelepathyGLib.IntFunc func);
		[CCode (cname = "tp_intset_intersection")]
		public TelepathyGLib.IntSet intersection (TelepathyGLib.IntSet right);
		[CCode (cname = "tp_intset_is_empty")]
		public bool is_empty ();
		[CCode (cname = "tp_intset_is_equal")]
		public bool is_equal (TelepathyGLib.IntSet right);
		[CCode (cname = "tp_intset_is_member")]
		public bool is_member (uint element);
		[CCode (cname = "tp_intset_remove")]
		public bool remove (uint element);
		[CCode (cname = "tp_intset_size")]
		public uint size ();
		[CCode (cname = "tp_intset_symmetric_difference")]
		public TelepathyGLib.IntSet symmetric_difference (TelepathyGLib.IntSet right);
		[CCode (cname = "tp_intset_to_array")]
		public GLib.Array<uint> to_array ();
		[CCode (cname = "tp_intset_union")]
		public TelepathyGLib.IntSet union (TelepathyGLib.IntSet right);
	}
	[CCode (cname = "TpObserveChannelsContext", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class ObserveChannelsContext : GLib.Object {
		public void accept ();
		public void delay ();
		public void fail (GLib.Error error);
		public bool is_recovering ();
		public TelepathyGLib.Account account { get; construct; }
		public GLib.PtrArray channels { get; construct; }
		public TelepathyGLib.Connection connection { get; construct; }
		public TelepathyGLib.ChannelDispatchOperation dispatch_operation { get; construct; }
		public GLib.PtrArray requests { get; construct; }
	}
	[CCode (cname = "TpProtocol", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class Protocol : TelepathyGLib.Proxy {
		public weak TelepathyGLib.Proxy parent;
		public TelepathyGLib.ProtocolPrivate priv;
		[CCode (has_construct_function = false)]
		public Protocol (TelepathyGLib.DBusDaemon dbus, string cm_name, string protocol_name, GLib.HashTable immutable_properties) throws GLib.Error;
		public bool can_register ();
		public string[] dup_param_names ();
		public unowned TelepathyGLib.Capabilities get_capabilities ();
		public unowned string get_english_name ();
		public static GLib.Quark get_feature_quark_core ();
		public static GLib.Quark get_feature_quark_parameters ();
		public unowned string get_icon_name ();
		public unowned string get_name ();
		public unowned TelepathyGLib.ConnectionManagerParam get_param (string param);
		public unowned string get_vcard_field ();
		public bool has_param (string param);
		public static void init_known_interfaces ();
		public TelepathyGLib.Capabilities capabilities { get; }
		public string english_name { get; }
		public string icon_name { get; }
		public string[] param_names { get; }
		public string protocol_name { get; construct; }
		public string vcard_field { get; }
	}
	[CCode (cname = "TpProxy", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class Proxy : GLib.Object {
		public weak GLib.Object parent;
		public TelepathyGLib.ProxyPrivate priv;
		public void dbus_error_to_gerror (string dbus_error, string debug_message) throws GLib.Error;
		public unowned string get_bus_name ();
		public unowned TelepathyGLib.DBusDaemon get_dbus_daemon ();
		public unowned GLib.Error get_invalidated ();
		public unowned string get_object_path ();
		public bool has_interface (string iface);
		public bool has_interface_by_id (GLib.Quark iface);
		public bool is_prepared (GLib.Quark feature);
		public async bool prepare_async ([CCode (array_length = false)] GLib.Quark[]? features) throws GLib.Error;
		public string bus_name { get; construct; }
		public TelepathyGLib.DBusDaemon dbus_daemon { get; construct; }
		public string[] interfaces { get; }
		public string object_path { get; construct; }
		public signal void invalidated (uint domain, int code, string message);
	}
	[CCode (cname = "TpSimpleApprover", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class SimpleApprover : TelepathyGLib.BaseClient {
		public weak TelepathyGLib.BaseClient parent;
		public TelepathyGLib.SimpleApproverPrivate priv;
		[CCode (type = "TpBaseClient*", has_construct_function = false)]
		public SimpleApprover (TelepathyGLib.DBusDaemon dbus, string name, bool unique, owned TelepathyGLib.SimpleApproverAddDispatchOperationImpl callback, void* user_data, GLib.DestroyNotify destroy);
		public void* callback { construct; }
		public void* destroy { construct; }
		public void* user_data { construct; }
	}
	[CCode (cname = "TpSimpleHandler", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class SimpleHandler : TelepathyGLib.BaseClient {
		public weak TelepathyGLib.BaseClient parent;
		public TelepathyGLib.SimpleHandlerPrivate priv;
		[CCode (type = "TpBaseClient*", has_construct_function = false)]
		public SimpleHandler (TelepathyGLib.DBusDaemon dbus, bool bypass_approval, bool requests, string name, bool unique, owned TelepathyGLib.SimpleHandlerHandleChannelsImpl callback, void* user_data, GLib.DestroyNotify destroy);
		public bool bypass_approval { construct; }
		public void* callback { construct; }
		public void* destroy { construct; }
		public bool requests { construct; }
		public void* user_data { construct; }
	}
	[CCode (cname = "TpSimpleObserver", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public class SimpleObserver : TelepathyGLib.BaseClient {
		public weak TelepathyGLib.BaseClient parent;
		public TelepathyGLib.SimpleObserverPrivate priv;
		[CCode (type = "TpBaseClient*", has_construct_function = false)]
		public SimpleObserver (TelepathyGLib.DBusDaemon dbus, bool recover, string name, bool unique, owned TelepathyGLib.SimpleObserverObserveChannelsImpl callback, void* user_data, GLib.DestroyNotify destroy);
		public void* callback { construct; }
		public void* destroy { construct; }
		public bool recover { construct; }
		public void* user_data { construct; }
	}
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public interface HandleRepoIface : GLib.Object {
		public uint handle_type { get; construct; }
	}
	[CCode (type_id = "TP_TYPE_ACCOUNT_CLASS_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct AccountClassPrivate {
	}
	[CCode (type_id = "TP_TYPE_ACCOUNT_MANAGER_CLASS_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct AccountManagerClassPrivate {
	}
	[CCode (type_id = "TP_TYPE_ACCOUNT_MANAGER_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct AccountManagerPrivate {
	}
	[CCode (type_id = "TP_TYPE_ACCOUNT_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct AccountPrivate {
	}
	[CCode (type_id = "TP_TYPE_ADD_DISPATCH_OPERATION_CONTEXT_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct AddDispatchOperationContextPrivate {
	}
	[CCode (type_id = "TP_TYPE_BASE_CLIENT_CLASS_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct BaseClientClassPrivate {
	}
	[CCode (type_id = "TP_TYPE_BASE_CLIENT_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct BaseClientPrivate {
	}
	[CCode (type_id = "TP_TYPE_BASE_CONNECTION_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct BaseConnectionPrivate {
	}
	[CCode (type_id = "TP_TYPE_CAPABILITIES_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct CapabilitiesPrivate {
	}
	[CCode (type_id = "TP_TYPE_CHANNEL_DISPATCH_OPERATION_CLASS_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ChannelDispatchOperationClassPrivate {
	}
	[CCode (type_id = "TP_TYPE_CHANNEL_DISPATCH_OPERATION_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ChannelDispatchOperationPrivate {
	}
	[CCode (type_id = "TP_TYPE_CHANNEL_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ChannelPrivate {
	}
	[CCode (type_id = "TP_TYPE_CHANNEL_REQUEST_CLASS_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ChannelRequestClassPrivate {
	}
	[CCode (type_id = "TP_TYPE_CHANNEL_REQUEST_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ChannelRequestPrivate {
	}
	[CCode (type_id = "TP_TYPE_CONNECTION_MANAGER_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ConnectionManagerPrivate {
	}
	[CCode (type_id = "TP_TYPE_CONNECTION_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ConnectionPrivate {
	}
	[CCode (type_id = "TP_TYPE_CONTACT_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ContactPrivate {
	}
	[CCode (type_id = "TP_TYPE_DBUS_DAEMON_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct DBusDaemonPrivate {
	}
	[CCode (type_id = "TP_TYPE_DBUS_PROPERTIES_MIXIN_CLASS", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct DBusPropertiesMixinClass {
	}
	[CCode (type_id = "TP_TYPE_DBUS_PROPERTIES_MIXIN_IFACE_IMPL", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct DBusPropertiesMixinIfaceImpl {
		public weak string name;
		public weak TelepathyGLib.DBusPropertiesMixinGetter getter;
		public weak TelepathyGLib.DBusPropertiesMixinSetter setter;
		public TelepathyGLib.DBusPropertiesMixinPropImpl props;
		public weak GLib.Callback _1;
		public weak GLib.Callback _2;
		public void* mixin_next;
		public void* mixin_priv;
	}
	[CCode (type_id = "TP_TYPE_DBUS_PROPERTIES_MIXIN_IFACE_INFO", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct DBusPropertiesMixinIfaceInfo {
		public GLib.Quark dbus_interface;
		public TelepathyGLib.DBusPropertiesMixinPropInfo props;
		public weak GLib.Callback _1;
		public weak GLib.Callback _2;
	}
	[CCode (type_id = "TP_TYPE_DBUS_PROPERTIES_MIXIN_PROP_IMPL", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct DBusPropertiesMixinPropImpl {
		public weak string name;
		public void* getter_data;
		public void* setter_data;
		public weak GLib.Callback _1;
		public weak GLib.Callback _2;
		public void* mixin_priv;
	}
	[CCode (type_id = "TP_TYPE_DBUS_PROPERTIES_MIXIN_PROP_INFO", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct DBusPropertiesMixinPropInfo {
		public GLib.Quark name;
		public TelepathyGLib.DBusPropertiesMixinFlags flags;
		public weak string dbus_signature;
		public GLib.Type type;
		public weak GLib.Callback _1;
		public weak GLib.Callback _2;
	}
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	[SimpleType]
	[IntegerType (rank = 0)]
	public struct Handle : uint {
	}
	[CCode (type_id = "TP_TYPE_HANDLE_CHANNELS_CONTEXT_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct HandleChannelsContextPrivate {
	}
	[CCode (type_id = "TP_TYPE_HANDLE_REPO_IFACE_CLASS", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct HandleRepoIfaceClass {
	}
	[CCode (type_id = "TP_TYPE_INT_SET_FAST_ITER", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct IntSetFastIter {
		public weak void*[] _dummy;
	}
	[CCode (type_id = "TP_TYPE_INT_SET_ITER", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct IntSetIter {
		public weak TelepathyGLib.IntSet @set;
		public uint element;
	}
	[CCode (type_id = "TP_TYPE_OBSERVE_CHANNELS_CONTEXT_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ObserveChannelsContextPrivate {
	}
	[CCode (type_id = "TP_TYPE_PROTOCOL_CLASS_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ProtocolClassPrivate {
	}
	[CCode (type_id = "TP_TYPE_PROTOCOL_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ProtocolPrivate {
	}
	[CCode (type_id = "TP_TYPE_PROXY_FEATURE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ProxyFeature {
	}
	[CCode (type_id = "TP_TYPE_PROXY_PENDING_CALL", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ProxyPendingCall {
		public void cancel ();
	}
	[CCode (type_id = "TP_TYPE_PROXY_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ProxyPrivate {
	}
	[CCode (type_id = "TP_TYPE_PROXY_SIGNAL_CONNECTION", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct ProxySignalConnection {
		public void disconnect ();
	}
	[CCode (type_id = "TP_TYPE_SIMPLE_APPROVER_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct SimpleApproverPrivate {
	}
	[CCode (type_id = "TP_TYPE_SIMPLE_HANDLER_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct SimpleHandlerPrivate {
	}
	[CCode (type_id = "TP_TYPE_SIMPLE_OBSERVER_PRIVATE", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public struct SimpleObserverPrivate {
	}
	[CCode (cprefix = "TP_ANONYMITY_MODE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum AnonymityModeFlags {
		CLIENT_INFO,
		SHOW_CLIENT_INFO,
		NETWORK_INFO
	}
	[CCode (cprefix = "TP_CM_INFO_SOURCE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum CMInfoSource {
		NONE,
		FILE,
		LIVE
	}
	[CCode (cprefix = "TP_CHANNEL_CALL_STATE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ChannelCallStateFlags {
		RINGING,
		QUEUED,
		HELD,
		FORWARDED,
		IN_PROGRESS
	}
	[CCode (cprefix = "TP_CHANNEL_CHAT_STATE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ChannelChatState {
		GONE,
		INACTIVE,
		ACTIVE,
		PAUSED,
		COMPOSING
	}
	[CCode (cprefix = "TP_CHANNEL_CONTACT_SEARCH_STATE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ChannelContactSearchState {
		NOT_STARTED,
		IN_PROGRESS,
		MORE_AVAILABLE,
		COMPLETED,
		FAILED
	}
	[CCode (cprefix = "TP_CHANNEL_GROUP_CHANGE_REASON_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ChannelGroupChangeReason {
		NONE,
		OFFLINE,
		KICKED,
		BUSY,
		INVITED,
		BANNED,
		ERROR,
		INVALID_CONTACT,
		NO_ANSWER,
		RENAMED,
		PERMISSION_DENIED,
		SEPARATED
	}
	[CCode (cprefix = "TP_CHANNEL_GROUP_FLAG_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ChannelGroupFlags {
		CAN_ADD,
		CAN_REMOVE,
		CAN_RESCIND,
		MESSAGE_ADD,
		MESSAGE_REMOVE,
		MESSAGE_ACCEPT,
		MESSAGE_REJECT,
		MESSAGE_RESCIND,
		CHANNEL_SPECIFIC_HANDLES,
		ONLY_ONE_GROUP,
		HANDLE_OWNERS_NOT_AVAILABLE,
		PROPERTIES,
		MEMBERS_CHANGED_DETAILED,
		MESSAGE_DEPART
	}
	[CCode (cprefix = "TP_CHANNEL_MEDIA_CAPABILITY_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ChannelMediaCapabilities {
		AUDIO,
		VIDEO,
		NAT_TRAVERSAL_STUN,
		NAT_TRAVERSAL_GTALK_P2P,
		NAT_TRAVERSAL_ICE_UDP,
		IMMUTABLE_STREAMS
	}
	[CCode (cprefix = "TP_CHANNEL_PASSWORD_FLAG_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ChannelPasswordFlags {
		[CCode (cname = "TP_CHANNEL_PASSWORD_FLAG_PROVIDE")]
		CHANNEL_PASSWORD_FLAG_PROVIDE
	}
	[CCode (cprefix = "TP_CHANNEL_TEXT_MESSAGE_FLAG_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ChannelTextMessageFlags {
		TRUNCATED,
		NON_TEXT_CONTENT,
		SCROLLBACK,
		RESCUED
	}
	[CCode (cprefix = "TP_CHANNEL_TEXT_MESSAGE_TYPE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ChannelTextMessageType {
		NORMAL,
		ACTION,
		NOTICE,
		AUTO_REPLY,
		DELIVERY_REPORT
	}
	[CCode (cprefix = "TP_CHANNEL_TEXT_SEND_ERROR_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ChannelTextSendError {
		UNKNOWN,
		OFFLINE,
		INVALID_CONTACT,
		PERMISSION_DENIED,
		TOO_LONG,
		NOT_IMPLEMENTED
	}
	[CCode (cprefix = "TP_CONN_MGR_PARAM_FLAG_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ConnMgrParamFlags {
		REQUIRED,
		REGISTER,
		HAS_DEFAULT,
		SECRET,
		DBUS_PROPERTY
	}
	[CCode (cprefix = "TP_CONNECTION_ALIAS_FLAG_USER_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ConnectionAliasFlags {
		[CCode (cname = "TP_CONNECTION_ALIAS_FLAG_USER_SET")]
		CONNECTION_ALIAS_FLAG_USER_SET
	}
	[CCode (cprefix = "TP_CONNECTION_CAPABILITY_FLAG_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ConnectionCapabilityFlags {
		CREATE,
		INVITE
	}
	[CCode (cprefix = "TP_CONNECTION_PRESENCE_TYPE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ConnectionPresenceType {
		UNSET,
		OFFLINE,
		AVAILABLE,
		AWAY,
		EXTENDED_AWAY,
		HIDDEN,
		BUSY,
		UNKNOWN,
		ERROR
	}
	[CCode (cprefix = "TP_CONNECTION_STATUS_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ConnectionStatus {
		CONNECTED,
		CONNECTING,
		DISCONNECTED
	}
	[CCode (cprefix = "TP_CONNECTION_STATUS_REASON_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ConnectionStatusReason {
		NONE_SPECIFIED,
		REQUESTED,
		NETWORK_ERROR,
		AUTHENTICATION_FAILED,
		ENCRYPTION_ERROR,
		NAME_IN_USE,
		CERT_NOT_PROVIDED,
		CERT_UNTRUSTED,
		CERT_EXPIRED,
		CERT_NOT_ACTIVATED,
		CERT_HOSTNAME_MISMATCH,
		CERT_FINGERPRINT_MISMATCH,
		CERT_SELF_SIGNED,
		CERT_OTHER_ERROR
	}
	[CCode (cprefix = "TP_CONTACT_FEATURE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ContactFeature {
		ALIAS,
		AVATAR_TOKEN,
		PRESENCE,
		LOCATION,
		CAPABILITIES,
		AVATAR_DATA,
		CONTACT_INFO
	}
	[CCode (cprefix = "TP_CONTACT_INFO_FIELD_FLAG_PARAMETERS_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ContactInfoFieldFlags {
		[CCode (cname = "TP_CONTACT_INFO_FIELD_FLAG_PARAMETERS_EXACT")]
		CONTACT_INFO_FIELD_FLAG_PARAMETERS_EXACT
	}
	[CCode (cprefix = "TP_CONTACT_INFO_FLAG_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ContactInfoFlags {
		CAN_SET,
		PUSH
	}
	[CCode (cprefix = "TP_DBUS_ERROR_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum DBusError {
		UNKNOWN_REMOTE_ERROR,
		PROXY_UNREFERENCED,
		NO_INTERFACE,
		NAME_OWNER_LOST,
		INVALID_BUS_NAME,
		INVALID_INTERFACE_NAME,
		INVALID_OBJECT_PATH,
		INVALID_MEMBER_NAME,
		OBJECT_REMOVED,
		CANCELLED,
		INCONSISTENT
	}
	[CCode (cprefix = "TP_DBUS_NAME_TYPE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum DBusNameType {
		UNIQUE,
		WELL_KNOWN,
		BUS_DAEMON,
		NOT_BUS_DAEMON,
		ANY
	}
	[CCode (cprefix = "TP_DBUS_PROPERTIES_MIXIN_FLAG_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum DBusPropertiesMixinFlags {
		READ,
		WRITE
	}
	[CCode (cprefix = "TP_DTMF_EVENT_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum DTMFEvent {
		DIGIT_0,
		DIGIT_1,
		DIGIT_2,
		DIGIT_3,
		DIGIT_4,
		DIGIT_5,
		DIGIT_6,
		DIGIT_7,
		DIGIT_8,
		DIGIT_9,
		ASTERISK,
		HASH,
		LETTER_A,
		LETTER_B,
		LETTER_C,
		LETTER_D
	}
	[CCode (cprefix = "TP_DEBUG_LEVEL_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum DebugLevel {
		ERROR,
		CRITICAL,
		WARNING,
		MESSAGE,
		INFO,
		DEBUG
	}
	[CCode (cprefix = "TP_DELIVERY_REPORTING_SUPPORT_FLAG_RECEIVE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum DeliveryReportingSupportFlags {
		FAILURES,
		SUCCESSES,
		READ,
		DELETED
	}
	[CCode (cprefix = "TP_DELIVERY_STATUS_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum DeliveryStatus {
		UNKNOWN,
		DELIVERED,
		TEMPORARILY_FAILED,
		PERMANENTLY_FAILED,
		ACCEPTED,
		READ,
		DELETED
	}
	[CCode (cprefix = "TP_FILE_HASH_TYPE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum FileHashType {
		NONE,
		MD5,
		SHA1,
		SHA256
	}
	[CCode (cprefix = "TP_FILE_TRANSFER_STATE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum FileTransferState {
		NONE,
		PENDING,
		ACCEPTED,
		OPEN,
		COMPLETED,
		CANCELLED
	}
	[CCode (cprefix = "TP_FILE_TRANSFER_STATE_CHANGE_REASON_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum FileTransferStateChangeReason {
		NONE,
		REQUESTED,
		LOCAL_STOPPED,
		REMOTE_STOPPED,
		LOCAL_ERROR,
		REMOTE_ERROR
	}
	[CCode (cprefix = "TP_HANDLE_TYPE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum HandleType {
		NONE,
		CONTACT,
		ROOM,
		LIST,
		GROUP
	}
	[CCode (cprefix = "TP_LOCAL_HOLD_STATE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum LocalHoldState {
		UNHELD,
		HELD,
		PENDING_HOLD,
		PENDING_UNHOLD
	}
	[CCode (cprefix = "TP_LOCAL_HOLD_STATE_REASON_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum LocalHoldStateReason {
		NONE,
		REQUESTED,
		RESOURCE_NOT_AVAILABLE
	}
	[CCode (cprefix = "TP_LOCATION_FEATURE_CAN_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum LocationFeatures {
		[CCode (cname = "TP_LOCATION_FEATURE_CAN_SET")]
		LOCATION_FEATURE_CAN_SET
	}
	[CCode (cprefix = "TP_MEDIA_STREAM_BASE_PROTO_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum MediaStreamBaseProto {
		UDP,
		TCP
	}
	[CCode (cprefix = "TP_MEDIA_STREAM_DIRECTION_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum MediaStreamDirection {
		NONE,
		SEND,
		RECEIVE,
		BIDIRECTIONAL
	}
	[CCode (cprefix = "TP_MEDIA_STREAM_ERROR_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum MediaStreamError {
		UNKNOWN,
		EOS,
		CODEC_NEGOTIATION_FAILED,
		CONNECTION_FAILED,
		NETWORK_ERROR,
		NO_CODECS,
		INVALID_CM_BEHAVIOR,
		MEDIA_ERROR
	}
	[CCode (cprefix = "TP_MEDIA_STREAM_PENDING_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum MediaStreamPendingSend {
		LOCAL_SEND,
		REMOTE_SEND
	}
	[CCode (cprefix = "TP_MEDIA_STREAM_STATE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum MediaStreamState {
		DISCONNECTED,
		CONNECTING,
		CONNECTED
	}
	[CCode (cprefix = "TP_MEDIA_STREAM_TRANSPORT_TYPE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum MediaStreamTransportType {
		LOCAL,
		DERIVED,
		RELAY
	}
	[CCode (cprefix = "TP_MEDIA_STREAM_TYPE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum MediaStreamType {
		AUDIO,
		VIDEO
	}
	[CCode (cprefix = "TP_MESSAGE_PART_SUPPORT_FLAG_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum MessagePartSupportFlags {
		ONE_ATTACHMENT,
		MULTIPLE_ATTACHMENTS
	}
	[CCode (cprefix = "TP_MESSAGE_SENDING_FLAG_REPORT_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum MessageSendingFlags {
		DELIVERY,
		READ,
		DELETED
	}
	[CCode (cprefix = "TP_PROPERTY_FLAG_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum PropertyFlags {
		READ,
		WRITE
	}
	[CCode (cprefix = "TP_RICH_PRESENCE_ACCESS_CONTROL_TYPE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum RichPresenceAccessControlType {
		WHITELIST,
		PUBLISH_LIST,
		GROUP,
		OPEN
	}
	[CCode (cprefix = "TP_SERVICE_POINT_TYPE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum ServicePointType {
		NONE,
		EMERGENCY,
		COUNSELING
	}
	[CCode (cprefix = "TP_SOCKET_ACCESS_CONTROL_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum SocketAccessControl {
		LOCALHOST,
		PORT,
		NETMASK,
		CREDENTIALS
	}
	[CCode (cprefix = "TP_SOCKET_ADDRESS_TYPE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum SocketAddressType {
		UNIX,
		ABSTRACT_UNIX,
		IPV4,
		IPV6
	}
	[CCode (cprefix = "TP_STORAGE_RESTRICTION_FLAG_CANNOT_SET_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum StorageRestrictionFlags {
		PARAMETERS,
		ENABLED,
		PRESENCE,
		SERVICE
	}
	[CCode (cprefix = "TP_TUBE_CHANNEL_STATE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum TubeChannelState {
		LOCAL_PENDING,
		REMOTE_PENDING,
		OPEN,
		NOT_OFFERED
	}
	[CCode (cprefix = "TP_TUBE_STATE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum TubeState {
		LOCAL_PENDING,
		REMOTE_PENDING,
		OPEN
	}
	[CCode (cprefix = "TP_TUBE_TYPE_", cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public enum TubeType {
		DBUS,
		STREAM
	}
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", has_target = false)]
	public delegate void BaseClientClassAddDispatchOperationImpl (TelepathyGLib.BaseClient client, TelepathyGLib.Account account, TelepathyGLib.Connection connection, GLib.List<weak TelepathyGLib.Channel> channels, TelepathyGLib.ChannelDispatchOperation dispatch_operation, TelepathyGLib.AddDispatchOperationContext context);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", has_target = false)]
	public delegate void BaseClientClassHandleChannelsImpl (TelepathyGLib.BaseClient client, TelepathyGLib.Account account, TelepathyGLib.Connection connection, GLib.List<weak TelepathyGLib.Channel> channels, GLib.List<weak TelepathyGLib.ChannelRequest> requests_satisfied, int64 user_action_time, TelepathyGLib.HandleChannelsContext context);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", has_target = false)]
	public delegate void BaseClientClassObserveChannelsImpl (TelepathyGLib.BaseClient client, TelepathyGLib.Account account, TelepathyGLib.Connection connection, GLib.List<weak TelepathyGLib.Channel> channels, TelepathyGLib.ChannelDispatchOperation? dispatch_operation, GLib.List<weak TelepathyGLib.ChannelRequest> requests, TelepathyGLib.ObserveChannelsContext context);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", has_target = false)]
	public delegate GLib.GenericArray<void*> BaseConnectionCreateChannelFactoriesImpl (TelepathyGLib.BaseConnection self);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", has_target = false)]
	public delegate GLib.GenericArray<void*> BaseConnectionCreateChannelManagersImpl (TelepathyGLib.BaseConnection self);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", has_target = false)]
	public delegate string BaseConnectionGetUniqueConnectionNameImpl (TelepathyGLib.BaseConnection self);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", has_target = false)]
	public delegate void BaseConnectionProc (TelepathyGLib.BaseConnection self);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", has_target = false)]
	public delegate bool BaseConnectionStartConnectingImpl (TelepathyGLib.BaseConnection self);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 2.9)]
	public delegate void ChannelWhenReadyCb (TelepathyGLib.Channel channel, GLib.Error error);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 4.9)]
	public delegate void ConnectionContactsByHandleCb (TelepathyGLib.Connection connection, [CCode (array_length_pos = 1.5)] TelepathyGLib.Contact[] contacts, [CCode (array_length_pos = 2.5)] TelepathyGLib.Handle[] failed, GLib.Error error, GLib.Object weak_object);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 5.9)]
	public delegate void ConnectionContactsByIdCb (TelepathyGLib.Connection connection, [CCode (array_length_pos = 1.5)] TelepathyGLib.Contact[] contacts, [CCode (array_length_pos = 1.5)] int8[] requested_ids, GLib.HashTable<weak string,weak GLib.Error> failed_id_errors, GLib.Error error, GLib.Object weak_object);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 5.9)]
	public delegate void ConnectionHoldHandlesCb (TelepathyGLib.Connection connection, TelepathyGLib.HandleType handle_type, uint n_handles, TelepathyGLib.Handle handles, GLib.Error error, GLib.Object weak_object);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 3.9)]
	public delegate void ConnectionManagerListCb ([CCode (array_length = false)] TelepathyGLib.ConnectionManager[] cms, size_t n_cms, GLib.Error error, GLib.Object weak_object);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 2.9)]
	public delegate void ConnectionManagerWhenReadyCb (TelepathyGLib.ConnectionManager cm, GLib.Error error, GLib.Object weak_object);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 5.9)]
	public delegate void ConnectionNameListCb ([CCode (array_length = false)] string[] names, size_t n, [CCode (array_length = false)] string[] cms, [CCode (array_length = false)] string[] protocols, GLib.Error error, GLib.Object weak_object);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 5.9)]
	public delegate void ConnectionRequestHandlesCb (TelepathyGLib.Connection connection, TelepathyGLib.HandleType handle_type, [CCode (array_length_pos = 2.5)] uint[] handles, [CCode (array_length = false)] string[] ids, GLib.Error error, GLib.Object weak_object);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 4.9)]
	public delegate void ConnectionUpgradeContactsCb (TelepathyGLib.Connection connection, uint n_contacts, TelepathyGLib.Contact contacts, GLib.Error error, GLib.Object weak_object);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 2.9)]
	public delegate void ConnectionWhenReadyCb (TelepathyGLib.Connection connection, GLib.Error error);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 3.9)]
	public delegate void DBusDaemonListNamesCb (TelepathyGLib.DBusDaemon bus_daemon, [CCode (array_length = false)] string[] names, GLib.Error error, GLib.Object weak_object);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 3.9)]
	public delegate void DBusDaemonNameOwnerChangedCb (TelepathyGLib.DBusDaemon bus_daemon, string name, string new_owner);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", has_target = false)]
	public delegate void DBusPropertiesMixinGetter (GLib.Object object, GLib.Quark iface, GLib.Quark name, GLib.Value value, void* getter_data);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", has_target = false)]
	public delegate bool DBusPropertiesMixinSetter (GLib.Object object, GLib.Quark iface, GLib.Quark name, GLib.Value value, void* setter_data);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", has_target = false)]
	public delegate void IntFunc (uint i, void* userdata);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 6.9)]
	public delegate void SimpleApproverAddDispatchOperationImpl (TelepathyGLib.SimpleApprover self, TelepathyGLib.Account account, TelepathyGLib.Connection connection, GLib.List<weak TelepathyGLib.Channel> channels, TelepathyGLib.ChannelDispatchOperation? dispatch_operation, TelepathyGLib.AddDispatchOperationContext context);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 7.9)]
	public delegate void SimpleHandlerHandleChannelsImpl (TelepathyGLib.SimpleHandler self, TelepathyGLib.Account account, TelepathyGLib.Connection connection, GLib.List<weak TelepathyGLib.Channel> channels, GLib.List<weak TelepathyGLib.ChannelRequest> requests_satisfied, int64 user_action_time, TelepathyGLib.HandleChannelsContext context);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h", instance_pos = 7.9)]
	public delegate void SimpleObserverObserveChannelsImpl (TelepathyGLib.SimpleObserver self, TelepathyGLib.Account account, TelepathyGLib.Connection connection, GLib.List<weak TelepathyGLib.Channel> channels, TelepathyGLib.ChannelDispatchOperation? dispatch_operation, GLib.List<weak TelepathyGLib.ChannelRequest> requests, TelepathyGLib.ObserveChannelsContext context);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string ACCOUNT_MANAGER_BUS_NAME;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string ACCOUNT_MANAGER_OBJECT_PATH;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string ACCOUNT_OBJECT_PATH_BASE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string CHANNEL_DISPATCHER_BUS_NAME;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string CHANNEL_DISPATCHER_OBJECT_PATH;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string CLIENT_BUS_NAME_BASE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string CLIENT_OBJECT_PATH_BASE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string CM_BUS_NAME_BASE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string CM_OBJECT_PATH_BASE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string CONN_BUS_NAME_BASE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string CONN_OBJECT_PATH_BASE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_ACCOUNT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_ACCOUNT_INTERFACE_AVATAR;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_ACCOUNT_INTERFACE_STORAGE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_ACCOUNT_MANAGER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_DISPATCHER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_DISPATCHER_INTERFACE_OPERATION_LIST;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_DISPATCH_OPERATION;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_INTERFACE_ANONYMITY;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_INTERFACE_CALL_STATE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_INTERFACE_CHAT_STATE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_INTERFACE_DESTROYABLE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_INTERFACE_DTMF;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_INTERFACE_GROUP;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_INTERFACE_HOLD;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_INTERFACE_MEDIA_SIGNALLING;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_INTERFACE_MESSAGES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_INTERFACE_PASSWORD;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_INTERFACE_SERVICE_POINT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_INTERFACE_TUBE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_REQUEST;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_TYPE_CONTACT_LIST;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_TYPE_CONTACT_SEARCH;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_TYPE_DBUS_TUBE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_TYPE_FILE_TRANSFER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_TYPE_ROOM_LIST;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_TYPE_STREAMED_MEDIA;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_TYPE_STREAM_TUBE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_TYPE_TEXT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CHANNEL_TYPE_TUBES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CLIENT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CLIENT_APPROVER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CLIENT_HANDLER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CLIENT_INTERFACE_REQUESTS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CLIENT_OBSERVER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_ALIASING;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_ANONYMITY;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_AVATARS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_BALANCE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_CAPABILITIES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_CELLULAR;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_CONTACTS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_CONTACT_CAPABILITIES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_CONTACT_INFO;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_LOCATION;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_PRESENCE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_REQUESTS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_SERVICE_POINT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_INTERFACE_SIMPLE_PRESENCE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_CONNECTION_MANAGER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_DBUS_DAEMON;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_DBUS_INTROSPECTABLE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_DBUS_PEER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_DBUS_PROPERTIES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_DEBUG;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_MEDIA_SESSION_HANDLER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_MEDIA_STREAM_HANDLER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_PROPERTIES_INTERFACE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string IFACE_PROTOCOL;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string MC5_BUS_NAME;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_CHANNEL_CHAT_STATES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_CHANNEL_CONTACT_SEARCH_STATES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_CHANNEL_GROUP_CHANGE_REASONS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_CHANNEL_TEXT_MESSAGE_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_CHANNEL_TEXT_SEND_ERRORS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_CONNECTION_PRESENCE_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_CONNECTION_STATUSES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_CONNECTION_STATUS_REASONS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_CONTACT_FEATURES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_DBUS_ERRORS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_DEBUG_LEVELS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_DELIVERY_STATUSES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_DTMF_EVENTS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_FILE_HASH_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_FILE_TRANSFER_STATES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_FILE_TRANSFER_STATE_CHANGE_REASONS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_HANDLE_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_LOCAL_HOLD_STATES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_LOCAL_HOLD_STATE_REASONS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_MEDIA_STREAM_BASE_PROTOS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_MEDIA_STREAM_DIRECTIONS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_MEDIA_STREAM_ERRORS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_MEDIA_STREAM_STATES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_MEDIA_STREAM_TRANSPORT_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_MEDIA_STREAM_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_RICH_PRESENCE_ACCESS_CONTROL_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_SERVICE_POINT_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_SOCKET_ACCESS_CONTROLS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_SOCKET_ADDRESS_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_TUBE_CHANNEL_STATES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_TUBE_STATES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int NUM_TP_TUBE_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_AUTOMATIC_PRESENCE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_CHANGING_PRESENCE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_CONNECTION;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_CONNECTION_ERROR;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_CONNECTION_ERROR_DETAILS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_CONNECTION_STATUS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_CONNECTION_STATUS_REASON;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_CONNECT_AUTOMATICALLY;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_CURRENT_PRESENCE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_DISPLAY_NAME;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_ENABLED;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_HAS_BEEN_ONLINE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_ICON;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_INTERFACES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_INTERFACE_AVATAR_AVATAR;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_INTERFACE_STORAGE_STORAGE_IDENTIFIER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_INTERFACE_STORAGE_STORAGE_PROVIDER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_INTERFACE_STORAGE_STORAGE_RESTRICTIONS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_INTERFACE_STORAGE_STORAGE_SPECIFIC_INFORMATION;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_MANAGER_INTERFACES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_MANAGER_INVALID_ACCOUNTS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_MANAGER_SUPPORTED_ACCOUNT_PROPERTIES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_MANAGER_VALID_ACCOUNTS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_NICKNAME;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_NORMALIZED_NAME;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_PARAMETERS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_REQUESTED_PRESENCE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_SERVICE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_ACCOUNT_VALID;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_CHANNEL_TYPE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_DISPATCHER_INTERFACES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_DISPATCHER_INTERFACE_OPERATION_LIST_DISPATCH_OPERATIONS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_DISPATCH_OPERATION_ACCOUNT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_DISPATCH_OPERATION_CHANNELS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_DISPATCH_OPERATION_CONNECTION;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_DISPATCH_OPERATION_INTERFACES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_DISPATCH_OPERATION_POSSIBLE_HANDLERS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INITIATOR_HANDLE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INITIATOR_ID;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_ANONYMITY_ANONYMITY_MANDATORY;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_ANONYMITY_ANONYMITY_MODES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_ANONYMITY_ANONYMOUS_ID;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_CHAT_STATE_CHAT_STATES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_DTMF_CURRENTLY_SENDING_TONES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_DTMF_INITIAL_TONES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_GROUP_GROUP_FLAGS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_GROUP_HANDLE_OWNERS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_GROUP_LOCAL_PENDING_MEMBERS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_GROUP_MEMBERS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_GROUP_REMOTE_PENDING_MEMBERS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_GROUP_SELF_HANDLE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_MESSAGES_DELIVERY_REPORTING_SUPPORT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_MESSAGES_MESSAGE_PART_SUPPORT_FLAGS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_MESSAGES_PENDING_MESSAGES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_MESSAGES_SUPPORTED_CONTENT_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_SERVICE_POINT_CURRENT_SERVICE_POINT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_SERVICE_POINT_INITIAL_SERVICE_POINT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_TUBE_PARAMETERS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_INTERFACE_TUBE_STATE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_REQUESTED;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_REQUEST_ACCOUNT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_REQUEST_INTERFACES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_REQUEST_PREFERRED_HANDLER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_REQUEST_REQUESTS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_REQUEST_USER_ACTION_TIME;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TARGET_HANDLE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TARGET_HANDLE_TYPE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TARGET_ID;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_CONTACT_SEARCH_AVAILABLE_SEARCH_KEYS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_CONTACT_SEARCH_LIMIT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_CONTACT_SEARCH_SEARCH_STATE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_CONTACT_SEARCH_SERVER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_DBUS_TUBE_DBUS_NAMES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_DBUS_TUBE_SERVICE_NAME;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_DBUS_TUBE_SUPPORTED_ACCESS_CONTROLS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_FILE_TRANSFER_AVAILABLE_SOCKET_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_FILE_TRANSFER_CONTENT_HASH;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_FILE_TRANSFER_CONTENT_HASH_TYPE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_FILE_TRANSFER_CONTENT_TYPE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_FILE_TRANSFER_DATE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_FILE_TRANSFER_DESCRIPTION;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_FILE_TRANSFER_FILENAME;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_FILE_TRANSFER_INITIAL_OFFSET;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_FILE_TRANSFER_SIZE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_FILE_TRANSFER_STATE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_FILE_TRANSFER_TRANSFERRED_BYTES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_ROOM_LIST_SERVER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_STREAMED_MEDIA_IMMUTABLE_STREAMS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_STREAMED_MEDIA_INITIAL_AUDIO;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_STREAMED_MEDIA_INITIAL_VIDEO;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_STREAM_TUBE_SERVICE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CHANNEL_TYPE_STREAM_TUBE_SUPPORTED_SOCKET_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CLIENT_APPROVER_APPROVER_CHANNEL_FILTER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CLIENT_HANDLER_BYPASS_APPROVAL;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CLIENT_HANDLER_CAPABILITIES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CLIENT_HANDLER_HANDLED_CHANNELS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CLIENT_HANDLER_HANDLER_CHANNEL_FILTER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CLIENT_INTERFACES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CLIENT_OBSERVER_OBSERVER_CHANNEL_FILTER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CLIENT_OBSERVER_RECOVER;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_ANONYMITY_ANONYMITY_MANDATORY;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_ANONYMITY_ANONYMITY_MODES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_ANONYMITY_SUPPORTED_ANONYMITY_MODES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_AVATARS_MAXIMUM_AVATAR_BYTES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_AVATARS_MAXIMUM_AVATAR_HEIGHT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_AVATARS_MAXIMUM_AVATAR_WIDTH;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_AVATARS_MINIMUM_AVATAR_HEIGHT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_AVATARS_MINIMUM_AVATAR_WIDTH;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_AVATARS_RECOMMENDED_AVATAR_HEIGHT;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_AVATARS_RECOMMENDED_AVATAR_WIDTH;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_AVATARS_SUPPORTED_AVATAR_MIME_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_BALANCE_ACCOUNT_BALANCE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_CELLULAR_IMSI;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_CELLULAR_MESSAGE_REDUCED_CHARACTER_SET;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_CELLULAR_MESSAGE_SERVICE_CENTRE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_CELLULAR_MESSAGE_VALIDITY_PERIOD;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_CONTACTS_CONTACT_ATTRIBUTE_INTERFACES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_CONTACT_INFO_CONTACT_INFO_FLAGS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_CONTACT_INFO_SUPPORTED_FIELDS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_LOCATION_LOCATION_ACCESS_CONTROL;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_LOCATION_LOCATION_ACCESS_CONTROL_TYPES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_LOCATION_SUPPORTED_LOCATION_FEATURES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_REQUESTS_CHANNELS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_REQUESTS_REQUESTABLE_CHANNEL_CLASSES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_SERVICE_POINT_KNOWN_SERVICE_POINTS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_INTERFACE_SIMPLE_PRESENCE_STATUSES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_MANAGER_INTERFACES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_MANAGER_PROTOCOLS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_SELF_HANDLE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_CONNECTION_STATUS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_DEBUG_ENABLED;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_MEDIA_STREAM_HANDLER_CREATED_LOCALLY;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_MEDIA_STREAM_HANDLER_NAT_TRAVERSAL;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_MEDIA_STREAM_HANDLER_RELAY_INFO;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_MEDIA_STREAM_HANDLER_STUN_SERVERS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_PROTOCOL_CONNECTION_INTERFACES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_PROTOCOL_ENGLISH_NAME;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_PROTOCOL_ICON;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_PROTOCOL_INTERFACES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_PROTOCOL_PARAMETERS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_PROTOCOL_REQUESTABLE_CHANNEL_CLASSES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string PROP_PROTOCOL_VCARD_FIELD;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int PROTOCOL_PREFIX_LEN;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string TOKEN_CHANNEL_INTERFACE_MEDIA_SIGNALLING_GTALK_P2P;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string TOKEN_CHANNEL_INTERFACE_MEDIA_SIGNALLING_ICE_UDP;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string TOKEN_CHANNEL_INTERFACE_MEDIA_SIGNALLING_WLM_2009;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string TOKEN_CHANNEL_INTERFACE_MEDIA_SIGNALLING_WLM_8_5;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string TOKEN_CONNECTION_CONTACT_ID;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string TOKEN_CONNECTION_INTERFACE_ALIASING_ALIAS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string TOKEN_CONNECTION_INTERFACE_AVATARS_TOKEN;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string TOKEN_CONNECTION_INTERFACE_CAPABILITIES_CAPS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string TOKEN_CONNECTION_INTERFACE_CONTACT_CAPABILITIES_CAPABILITIES;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string TOKEN_CONNECTION_INTERFACE_CONTACT_INFO_INFO;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string TOKEN_CONNECTION_INTERFACE_LOCATION_LOCATION;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const string TOKEN_CONNECTION_INTERFACE_SIMPLE_PRESENCE_PRESENCE;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public const int UNKNOWN_CONNECTION_STATUS;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static bool asv_get_boolean (GLib.HashTable<weak string,weak GLib.Value> asv, string key, out bool valid);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void* asv_get_boxed (GLib.HashTable<weak string,weak GLib.Value> asv, string key, GLib.Type type);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static unowned GLib.Array<weak void*> asv_get_bytes (GLib.HashTable<weak string,weak GLib.Value> asv, string key);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static double asv_get_double (GLib.HashTable<weak string,weak GLib.Value> asv, string key, out bool valid);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static int32 asv_get_int32 (GLib.HashTable<weak string,weak GLib.Value> asv, string key, out bool valid);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static int64 asv_get_int64 (GLib.HashTable<weak string,weak GLib.Value> asv, string key, out bool valid);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static unowned string asv_get_object_path (GLib.HashTable<weak string,weak GLib.Value> asv, string key);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static unowned string asv_get_string (GLib.HashTable<weak string,weak GLib.Value> asv, string key);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static unowned string[] asv_get_strv (GLib.HashTable<weak string,weak GLib.Value> asv, string key);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static uint32 asv_get_uint32 (GLib.HashTable<weak string,weak GLib.Value> asv, string key, out bool valid);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static uint64 asv_get_uint64 (GLib.HashTable<weak string,weak GLib.Value> asv, string key, out bool valid);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static bool dbus_check_valid_bus_name (string name, TelepathyGLib.DBusNameType allow_types) throws GLib.Error;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static bool dbus_check_valid_interface_name (string name) throws GLib.Error;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static bool dbus_check_valid_member_name (string name) throws GLib.Error;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static bool dbus_check_valid_object_path (string path) throws GLib.Error;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark dbus_errors_quark ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void dbus_properties_mixin_class_init (GLib.ObjectClass cls, size_t offset);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static bool dbus_properties_mixin_get (GLib.Object self, string interface_name, string property_name, GLib.Value value) throws GLib.Error;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void dbus_properties_mixin_getter_gobject_properties (GLib.Object object, GLib.Quark iface, GLib.Quark name, GLib.Value value, void* getter_data);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void dbus_properties_mixin_iface_init (void* g_iface, void* iface_data);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void dbus_properties_mixin_implement_interface (GLib.ObjectClass cls, GLib.Quark iface, TelepathyGLib.DBusPropertiesMixinGetter getter, TelepathyGLib.DBusPropertiesMixinSetter setter, TelepathyGLib.DBusPropertiesMixinPropImpl props);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static bool dbus_properties_mixin_setter_gobject_properties (GLib.Object object, GLib.Quark iface, GLib.Quark name, GLib.Value value, void* setter_data) throws GLib.Error;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void debug_divert_messages (string filename);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void debug_set_flags (string flags_string);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void debug_set_persistent (bool persistent);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void debug_timestamped_log_handler (string log_domain, GLib.LogLevelFlags log_level, string message, void* ignored);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark errors_disconnected_quark ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark errors_removed_from_group_quark ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static TelepathyGLib.Handle handle_ensure (TelepathyGLib.HandleRepoIface self, string id, void* context) throws GLib.Error;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static bool handle_type_is_valid (TelepathyGLib.HandleType type) throws GLib.Error;
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static unowned string handle_type_to_string (TelepathyGLib.HandleType type);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_account ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_account_interface_avatar ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_account_interface_storage ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_account_manager ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_dispatch_operation ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_dispatcher ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_dispatcher_interface_operation_list ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_interface_anonymity ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_interface_call_state ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_interface_chat_state ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_interface_destroyable ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_interface_dtmf ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_interface_group ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_interface_hold ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_interface_media_signalling ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_interface_messages ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_interface_password ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_interface_service_point ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_interface_tube ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_request ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_type_contact_list ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_type_contact_search ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_type_dbus_tube ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_type_file_transfer ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_type_room_list ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_type_stream_tube ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_type_streamed_media ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_type_text ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_channel_type_tubes ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_client ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_client_approver ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_client_handler ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_client_interface_requests ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_client_observer ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_aliasing ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_anonymity ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_avatars ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_balance ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_capabilities ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_cellular ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_contact_capabilities ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_contact_info ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_contacts ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_location ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_presence ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_requests ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_service_point ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_interface_simple_presence ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_connection_manager ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_dbus_daemon ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_dbus_introspectable ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_dbus_peer ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_dbus_properties ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_debug ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_media_session_handler ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_media_stream_handler ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_properties_interface ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static GLib.Quark iface_quark_protocol ();
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void intset_fast_iter_init (TelepathyGLib.IntSetFastIter iter, TelepathyGLib.IntSet @set);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static bool intset_fast_iter_next (TelepathyGLib.IntSetFastIter iter, out uint output);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static TelepathyGLib.IntSet intset_from_array (GLib.Array<weak uint> array);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static bool intset_iter_next (TelepathyGLib.IntSetIter iter);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static TelepathyGLib.IntSet intset_sized_new (uint size);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void list_connection_managers (TelepathyGLib.DBusDaemon bus_daemon, [CCode (delegate_target_pos = 2.33333)] owned TelepathyGLib.ConnectionManagerListCb callback, GLib.Object? weak_object);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void list_connection_names (TelepathyGLib.DBusDaemon bus_daemon, [CCode (delegate_target_pos = 2.33333)] owned TelepathyGLib.ConnectionNameListCb callback, GLib.Object? weak_object);
	[CCode (cheader_filename = "telepathy-glib/telepathy-glib.h")]
	public static void svc_interface_set_dbus_properties_info (GLib.Type g_interface, TelepathyGLib.DBusPropertiesMixinIfaceInfo info);
}
